import traceback

from cpl_core.console import Console

from bot_api.abc.dto_abc import DtoABC


class EMailStringDTO(DtoABC):

    def __init__(self, email: str):
        DtoABC.__init__(self)

        self._email = email

    def from_dict(self, values: dict):
        self._email = values['EMail']

    def to_dict(self) -> dict:
        return {
            'EMail': self._email
        }
